import express from "express";
import {
  listSwiDocuments,
  getSwiDocument,
  createSwiDocument,
  updateSwiDocument,
  deleteSwiDocument,
} from "../controllers/swiDocumentController.js";

const router = express.Router();

router.get("/swi_document", listSwiDocuments);
router.get("/swi_document/:document_id/:document_number", getSwiDocument);
router.post("/swi_document", createSwiDocument);
router.put("/swi_document/:document_id/:document_number", updateSwiDocument);
router.delete("/swi_document/:document_id/:document_number", deleteSwiDocument);

export default router;
